AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Manager.Action
SetCDRUserFieldAction Class
SetCDRUserFieldAction Constructor
SetCDRUserFieldAction Methods
SetCDRUserFieldAction Properties

| SetCDRUserFieldAction Class

The SetCDRUserFieldAction causes the user field of the call detail record for the given channel to be changed.
Depending on the value of the append property the value is appended or overwritten.
The SetCDRUserFieldAction is implemented in apps/app_setcdruserfield.c
Inheritance Hierarchy
System
Object
AsterNET.Manager.Action
ManagerAction
AsterNET.Manager.Action
SetCDRUserFieldAction

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class SetCDRUserFieldAction : ManagerAction

    Public Class SetCDRUserFieldAction
    	Inherits ManagerAction

    public ref class SetCDRUserFieldAction : public ManagerAction

    type SetCDRUserFieldAction =
        class
            inherit ManagerAction
        end

The SetCDRUserFieldAction type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| SetCDRUserFieldAction | Creates a new empty SetCDRUserFieldAction.
| SetCDRUserFieldAction(String, String) | Creates a new SetCDRUserFieldAction that sets the user field of the call detail record for the given channel to the given value.
| SetCDRUserFieldAction(String, String, Boolean) | Creates a new SetCDRUserFieldAction that sets the user field of the call detail record for the given channel to the given value.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from ManagerAction.)

Top
Properties

| Name | Description
--- | --- | ---
| Action | Get the name of the action, i.e. "SetCDRUserField". (Overrides ManagerAction Action.)
| ActionId | (Inherited from ManagerAction.)
| Append | Get/Set if the value of the cdr user field is appended or overwritten. true to append the value to the cdr user field or false to overwrite.
| Channel | Get/Set the name of the channel to set the cdr user field on. This property is mandatory.
| ProxyKey | You can use this as a simple authentication mechanism. Rather than have to login with a username & password, you can specify a ProxyKey that must be passed from a client before requests are processed. This is helpful in situations where you would like to authenticate and execute an action in a single step. (Inherited from ManagerAction.)
| Server | Specify a server to which to send your commands (x.x.x.x or hostname). This should match the server name specified in your config file's "host" entry. If you do not specify a server, the proxy will pick the first one it finds -- fine in single-server configurations. (Inherited from ManagerAction.)
| UserField | Get/Set the value of the cdr user field to set or append. This property is mandatory.

Top
See Also

#### Reference

AsterNET.Manager.Action Namespace